# Package com.sun.grid.jgdi.configuration.reflect

- Interface Summary
  Interface | Description
  --- | ---
  ClassDescriptor |

- Class Summary
  Class | Description
  --- | ---
  AbstractClassDescriptor | Abstract Base class for `ClassDescriptor` subclasses
  DefaultListPropertyDescriptor |
  DefaultMapListPropertyDescriptor |
  DefaultMapPropertyDescriptor |
  GEObjectDescriptor |
  ListPropertyDescriptor |
  MapListPropertyDescriptor |
  MapPropertyDescriptor |
  PlainListPropertyDescriptor |
  PropertyDescriptor |
  SimplePropertyDescriptor |

- Exception Summary
  Exception | Description
  --- | ---
  InvalidObjectException |

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.